All Classes Namespaces Functions Variables Pages
Continuous3DFunction Class Reference

This is a TabulatedFunction that computes a continuous three dimensional function. More...

Inheritance diagram for Continuous3DFunction:

## Public Member Functions

def | __init__
| init(OpenMM::Continuous3DFunction self, int xsize, int ysize, int zsize, vectord values, double xmin, double xmax, double ymin, double ymax, double zmin, double zmax) -> Continuous3DFunction More...
def | getFunctionParameters
| getFunctionParameters(Continuous3DFunction self) More...
def | setFunctionParameters
| setFunctionParameters(Continuous3DFunction self, int xsize, int ysize, int zsize, vectord values, double xmin, double xmax, double ymin, double ymax, double zmin, double zmax) More...
def | Copy
| Copy(Continuous3DFunction self) -> Continuous3DFunction. More...
def | __del__
| del(OpenMM::Continuous3DFunction self) More...
Public Member Functions inherited from TabulatedFunction
def | __init__
def | __del__
| del(OpenMM::TabulatedFunction self) More...
def | Copy
| Copy(TabulatedFunction self) -> TabulatedFunction. More...

## Public Attributes

| this

## Detailed Description

This is a TabulatedFunction that computes a continuous three dimensional function.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::Continuous3DFunction self, int xsize, int ysize, int zsize, vectord values, double xmin, double xmax, double ymin, double ymax, double zmin, double zmax) -> Continuous3DFunction

This is a TabulatedFunction that computes a continuous three dimensional function.

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::Continuous3DFunction self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def Copy | ( |  | self,
|  |  | args
| ) |  |

Copy(Continuous3DFunction self) -> Continuous3DFunction.

References simtk.openmm.openmm.stripUnits().

def getFunctionParameters | ( |  | self,
|  |  | args
| ) |  |

getFunctionParameters(Continuous3DFunction self)

References simtk.openmm.openmm.stripUnits().

def setFunctionParameters | ( |  | self,
|  |  | args
| ) |  |

setFunctionParameters(Continuous3DFunction self, int xsize, int ysize, int zsize, vectord values, double xmin, double xmax, double ymin, double ymax, double zmin, double zmax)

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

this

Referenced by System.__init__().

The documentation for this class was generated from the following file:

- openmm.py